@import "/public/css/global.css";
@import "/public/components/WhatsappChatModal/WhatsAppChatModal.css";
@import "/public/components/ContactUsForm/ContactUsForm.css";
@import "/public/components/SiteHeader/SiteHeader.css";
@import "/public/components/SiteFooter/SiteFooter.css";
@import "/public/components/Portfolio/Portfolio.css";
@import "/public/components/MobileNav/MobileNav.css";
@import "/public/components/Paginator/Paginator.css";

/********************************************/

.center {
    max-width: 1200px;
    width: 100%;
    margin: auto;
    padding: 1rem;
}

/********************************************/

#banner {
    position: relative;
    min-height: calc(100vh - 95px);
    background: rgb(10, 48, 66) linear-gradient(180deg, rgba(10, 48, 66, .5) 30%, rgba(0, 0, 0, 60%) 100%);
    background-size: cover;
}

#banner .center {
    position: relative;
    z-index: 2;
    display: grid;
    grid-template-rows: auto min-content;
    min-height: inherit;
    padding: 2rem 1rem 4rem;
}

#banner .center .banner-logo {
    width: 100%;
    max-width: 400px;
}

#banner h1 {
    color: #fff;
    font-size: 3rem;
    font-weight: bold;
}

#banner video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    object-fit: cover;
    opacity: 0.1;
}

/********************************************/

#services {
    position: relative;
}

#services > .center {
    padding: 4rem 1rem 4rem;
}

#services h2 {
    color: #373737;
    font-size: 2.5rem;
    font-weight: lighter;
    text-align: center;
    margin-bottom: 4rem;
}

#services .service-boxes {
    padding: 0 2rem;
    position: relative;
    z-index: 0;
}

#services .service-box {
    padding: 4rem 2rem 2rem;
    position: relative;
    background: #f4f4f4;
    height: 100%;
    transform: translateY(50px);
    opacity: 0;
    color: rgb(10, 48, 66);
    box-shadow: rgba(0, 0, 0, 0.1) 0 4px 6px -1px, rgba(0, 0, 0, 0.06) 0 2px 4px -1px;
}

#services .service-box .service-icon {
    text-align: center;
    position: absolute;
    top: -5%;
    left: 0;
    width: 100%;
    transition: transform .3s ease-in-out;
}

#services .service-box:hover .service-icon {
    transform: translateY(-10px);
}

#services .service-box .service-icon img {
    width: 100%;
    border-radius: .3rem;
    box-sizing: content-box;
    max-width: 45px;
    background: #FD7014;
    padding: .5rem;
}

#services .service-box h3 {
    color: rgb(10, 48, 66);
    margin-bottom: 2rem;
    font-size: 1.2rem;
    text-align: center;
}

@media (max-width: 576px) {
    #services .service-banner {
        margin-bottom: 2rem;
    }

    #services .service-banner img {
        height: 300px;
        object-fit: cover;
    }

    #services .service-boxes {
        padding: 0;
        position: relative;
        top: 0;
        z-index: 0;
    }
}

/********************************************/

#about-us {
    background: rgb(16, 71, 94);
}

#about-us > .center {
    padding: 6rem 1rem 6rem;
}

#about-us h2 {
    color: #fff;
    font-size: 2.5rem;
    font-weight: normal;
    margin-bottom: 2rem;
}

#about-us img {
    width: 100%;
}

#about-us p {
    color: #fff;
    font-size: 1.4rem;
    font-weight: lighter;
}

/********************************************/

#projects {
    position: relative;
    background: #1a1a1a05;
}

#projects h2 {
    color: #373737;
    font-size: 2.5rem;
    font-weight: lighter;
    margin-bottom: 2rem;
}

#projects > .center {
    padding: 6rem 1rem 6rem;
}

/********************************************/

#contact {
    position: relative;
    background: rgb(16, 71, 94) url("/public/multimedia/images/contact.png") no-repeat no-repeat center center;
    color: white;
}

#contact h2 {
    color: white;
    font-size: 2.5rem;
    margin-bottom: 2rem;
    font-weight: lighter;
}

#contact > .center {
    padding: 5rem 1rem 4rem;
}
